# $Revision: 1.28.2.1 $, $Date: 2006/05/17 14:29:37 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# require /proc access
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GTop
Summary:	GTop - Perl interface to libgtop
Summary(pl):	GTop - interfejs perlowy do libgtop
Name:		perl-GTop
Version:	0.15
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GTop/%{pdir}-%{version}.tar.gz
# Source0-md5:	049553661f8ceb7fa93517e8ed68f712
Patch0:		%{name}-error_h.patch
BuildRequires:	libgtop-devel >= 2.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is a Perl interface to libgtop:
<http://home-of-linux.org/gnome/libgtop/>.

See also: Stas Bekman's Apache::VMonitor
<http://www.cpan.org/modules/by-module/Apache/>.

%description -l pl
Ten pakiet jest perlowym interfejsem do libgtop:
<http://home-of-linux.org/gnome/libgtop/>.

Warto zobaczy take Apache::VMonitor Stasa Bekmana:
<http://www.cpan.org/modules/by-module/Apache/>.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/%{pdir}
%dir %{perl_vendorarch}/auto/%{pdir}
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/*.so
%{perl_vendorarch}/auto/%{pdir}/*.bs
%dir %{perl_vendorarch}/auto/%{pdir}/Server
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/Server/*.so
%{perl_vendorarch}/auto/%{pdir}/Server/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GTop.spec,v $
Revision 1.28.2.1  2006/05/17 14:29:37  baggins
- rel 2

Revision 1.28  2005/05/21 19:44:27  ankry
- 0.15; fixed build with new libgtop

Revision 1.27  2005/05/21 17:32:38  ankry
- rel. 3

Revision 1.26  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.25  2004/11/03 22:30:23  paladine
- formatting

Revision 1.24  2004/09/17 00:31:29  havner
- rel 2 to rebuild with new gtop

Revision 1.23  2004/05/06 18:09:37  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/29 15:08:23  radek
- version 0.13, removed patch (applied)
STBR

Revision 1.21  2004/04/25 13:08:28  ankry
- fix comment, explanation, rel. 3

Revision 1.20  2004/04/25 13:06:45  radek
- tests require mounted /proc; off by default

Revision 1.19  2004/04/25 12:52:19  radek
- release 2: added -xmalloc_h_and_g_free.patch -- ported to new libgtop

Revision 1.18  2004/04/25 00:50:54  ankry
- cosmetics: unification

Revision 1.17  2004/04/21 08:40:38  ankry
- license fixes/unification

Revision 1.16  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.15  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.14  2004/01/24 22:20:32  arekm
- autoupdated to 0.12

Revision 1.13  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:48  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/06/12 12:43:48  qboosh
- use pkgconfig to get libgtop flags, avoid using glib 1.x

Revision 1.10  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/11 18:23:00  djrzulf
- fixed to work with libgtop2,
- STBR,

Revision 1.7  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:32:38  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/09 22:41:31  qboosh
- pl description, release 3

Revision 1.2  2002/09/04 11:18:37  radek
- it's not noarch; release++

Revision 1.1  2002/09/04 08:44:19  radek
- new, STBR
